- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends

# QSslConfiguration Class Reference

Search for all occurrences

## Detailed Description

Definition at line 77 of file qsslconfiguration.h.

`#include <qsslconfiguration.h>`

List of all members.

## Public Member Functions
| QSslConfiguration ()
| QSslConfiguration (const QSslConfiguration &other)
| ~QSslConfiguration ()
QSslConfiguration & | operator= (const QSslConfiguration &other)
bool | operator== (const QSslConfiguration &other) const
bool | operator!= (const QSslConfiguration &other) const
bool | isNull () const
QSsl::SslProtocol | protocol () const
void | setProtocol (QSsl::SslProtocol protocol)
QSslSocket::PeerVerifyMode | peerVerifyMode () const
void | setPeerVerifyMode (QSslSocket::PeerVerifyMode mode)
int | peerVerifyDepth () const
void | setPeerVerifyDepth (int depth)
QSslCertificate | localCertificate () const
void | setLocalCertificate (const QSslCertificate &certificate)
QSslCertificate | peerCertificate () const
QList< QSslCertificate > | peerCertificateChain () const
QSslCipher | sessionCipher () const
QSslKey | privateKey () const
void | setPrivateKey (const QSslKey &key)
QList< QSslCipher > | ciphers () const
void | setCiphers (const QList< QSslCipher > &ciphers)
QList< QSslCertificate > | caCertificates () const
void | setCaCertificates (const QList< QSslCertificate > &certificates)
## Static Public Member Functions
static QSslConfiguration | defaultConfiguration ()
static void | setDefaultConfiguration (const QSslConfiguration &configuration)
## Friends
class | QSslSocket
class | QSslConfigurationPrivate

## Constructor & Destructor Documentation

QSslConfiguration | ( |  | ) |

QSslConfiguration | ( | const QSslConfiguration & | other | ) |

~QSslConfiguration | ( |  | ) |

## Member Function Documentation

QSslConfiguration& operator= | ( | const QSslConfiguration & | other | ) |

bool operator== | ( | const QSslConfiguration & | other | ) | const

bool operator!= | ( | const QSslConfiguration & | other | ) | const `[inline]`

Definition at line 86 of file qsslconfiguration.h.

        { return !(*this == other); }

bool isNull | ( |  | ) | const

Search for all occurrences

QSsl::SslProtocol protocol | ( |  | ) | const

Search for all occurrences

void setProtocol | ( | QSsl::SslProtocol | protocol | ) |

Search for all occurrences

QSslSocket::PeerVerifyMode peerVerifyMode | ( |  | ) | const

Search for all occurrences

void setPeerVerifyMode | ( | QSslSocket::PeerVerifyMode | mode | ) |

Search for all occurrences

int peerVerifyDepth | ( |  | ) | const

Search for all occurrences

void setPeerVerifyDepth | ( | int | depth | ) |

Search for all occurrences

QSslCertificate localCertificate | ( |  | ) | const

Search for all occurrences

void setLocalCertificate | ( | const QSslCertificate & | certificate | ) |

Search for all occurrences

QSslCertificate peerCertificate | ( |  | ) | const

Search for all occurrences

QList<QSslCertificate> peerCertificateChain | ( |  | ) | const

Search for all occurrences

QSslCipher sessionCipher | ( |  | ) | const

Search for all occurrences

QSslKey privateKey | ( |  | ) | const

Search for all occurrences

void setPrivateKey | ( | const QSslKey & | key | ) |

Search for all occurrences

QList<QSslCipher> ciphers | ( |  | ) | const

Search for all occurrences

void setCiphers | ( | const QList< QSslCipher > & | ciphers | ) |

Search for all occurrences

QList<QSslCertificate> caCertificates | ( |  | ) | const

Search for all occurrences

void setCaCertificates | ( | const QList< QSslCertificate > & | certificates | ) |

Search for all occurrences

static QSslConfiguration defaultConfiguration | ( |  | ) | `[static]`

Search for all occurrences

static void setDefaultConfiguration | ( | const QSslConfiguration & | configuration | ) | `[static]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QSslSocket `[friend]`

Search for all occurrences

Definition at line 125 of file qsslconfiguration.h.

friend class QSslConfigurationPrivate `[friend]`

Search for all occurrences

Definition at line 126 of file qsslconfiguration.h.

The documentation for this class was generated from the following file:

- QtNetwork/qsslconfiguration.h

QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration
QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration QSslConfiguration